#!/bin/sh

# Ensure group_name is set to your target group
group_name="plugdev"

# Use SUDO_USER if set, otherwise fallback to USER
effective_user="$1"

echo "Checking if $effective_user is a member of the $group_name group..."

# Check if the user is already a member of the group
if groups "$effective_user" | grep --silent "$group_name"; then
    echo "User $effective_user is already a member of the $group_name group."
else
    echo "Adding user $effective_user to the $group_name group..."
    # Add the user to the group
    sudo usermod -aG "$group_name" "$effective_user"
    if [ $? -eq 0 ]; then
        echo "User $effective_user added to the $group_name group successfully."
    else
        echo "Failed to add user $effective_user to the $group_name group."
        exit 1
    fi
fi

# Restart udev to apply changes
service udev restart

if [ $? -eq 0 ]; then
    echo "udev service restarted successfully."
else
    echo "Failed to restart udev service."
    exit 1
fi
