#!/bin/sh

echo "Adding udev rules..."
cd /etc/udev/rules.d/

# If the file exists, delete it
if [ -f 99-daskeyboard.rules ]; then
    rm 99-daskeyboard.rules
fi

touch 99-daskeyboard.rules

> 99-daskeyboard.rules
echo 'KERNEL=="hidraw*", SUBSYSTEM=="hidraw", MODE="0664", GROUP="plugdev"' >> 99-daskeyboard.rules
echo 'SUBSYSTEM=="usb", ATTRS{idVendor}=="24f0", MODE="0666"' >> 99-daskeyboard.rules
echo 'SUBSYSTEM=="usb_device", ATTRS{idVendor}=="24f0", MODE="0666"' >> 99-daskeyboard.rules

udevadm control --reload-rules

udevadm trigger

echo 'success adding rules'

echo "Disabling previous systemctl service"


systemctl is-enabled das_keyboard_q-service

if [ $? -eq 0 ]
then
  # disable service
  echo disabling das_keyboard_q-service
  systemctl disable das_keyboard_q-service
fi

systemctl is-active das_keyboard_q-service

if [ $? -eq 0 ]
then
  #stop daemon
  echo stoping das_keyboard_q-service
  systemctl stop das_keyboard_q-service
fi

systemctl daemon-reload


echo 'Deleting old pipes'
# file exist
if [  -e /tmp/daskeyboard_pipe_in ]; then
    rm -f /tmp/daskeyboard_pipe_in
fi

if [  -e /tmp/daskeyboard_pipe_out ]; then
    rm -f /tmp/daskeyboard_pipe_out
fi

if [  -e /tmp/daskeyboard_pipe_unsolicited ]; then
    rm -f /tmp/daskeyboard_pipe_unsolicited
fi

# Check if the script is running
if pgrep -f /usr/bin/das-keyboard-q > /dev/null; then
    echo "Script /usr/bin/das-keyboard-q is running. Attempting to terminate..."
    pkill -f /usr/bin/das-keyboard-q

    # Optional: wait and check if the process has been killed
    sleep 2
    if pgrep -f /usr/bin/das-keyboard-q > /dev/null; then
        echo "Forcefully killing the script..."
        pkill -9 -f /usr/bin/das-keyboard-q
    fi
else
    echo "Script /usr/bin/das-keyboard-q is not running."
fi

# Same with  /usr/lib/das-keyboard-q/das-keyboard-q
if pgrep -f /usr/lib/das-keyboard-q/das-keyboard-q > /dev/null; then
    echo "Script /usr/lib/das-keyboard-q/das-keyboard-q is running. Attempting to terminate..."
    pkill -f /usr/lib/das-keyboard-q/das-keyboard-q

    # Optional: wait and check if the process has been killed
    sleep 2
    if pgrep -f /usr/lib/das-keyboard-q/das-keyboard-q > /dev/null; then
        echo "Forcefully killing the script..."
        pkill -9 -f /usr/lib/das-keyboard-q/das-keyboard-q
    fi
else
    echo "Script /usr/lib/das-keyboard-q/das-keyboard-q is not running."
fi




